VERSION 5.00
Begin VB.Form frmHelp 
   Caption         =   "English Phonology Search - Help"
   ClientHeight    =   6135
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   13590
   Icon            =   "frmHelp.frx":0000
   LinkTopic       =   "Form2"
   ScaleHeight     =   6135
   ScaleWidth      =   13590
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton cmdIterativeSearches 
      Caption         =   "Iterated searches"
      Height          =   495
      Left            =   10920
      TabIndex        =   10
      Top             =   3720
      Width           =   2535
   End
   Begin VB.CommandButton cmdReadingOutputFiles 
      Caption         =   "ReadingOutputFiles"
      Height          =   495
      Left            =   10920
      TabIndex        =   9
      Top             =   1320
      Width           =   2535
   End
   Begin VB.CommandButton cmdCaseSensitive 
      Caption         =   "Not case sensitive"
      Height          =   495
      Left            =   10920
      TabIndex        =   8
      Top             =   3120
      Width           =   2535
   End
   Begin VB.CommandButton cmdOtherLanguages 
      Caption         =   "Adapting the program to other languages"
      Height          =   615
      Left            =   10920
      TabIndex        =   7
      Top             =   4920
      Width           =   2535
   End
   Begin VB.CommandButton cmdDictionary 
      Caption         =   "Notes on the dictionary"
      Height          =   495
      Left            =   10920
      TabIndex        =   6
      Top             =   4320
      Width           =   2535
   End
   Begin VB.CommandButton cmdOrthography 
      Caption         =   "Searching orthography"
      Height          =   495
      Left            =   10920
      TabIndex        =   5
      Top             =   2520
      Width           =   2535
   End
   Begin VB.CommandButton cmdSyllabification 
      Caption         =   "Syllabification"
      Height          =   495
      Left            =   10920
      TabIndex        =   4
      Top             =   1920
      Width           =   2535
   End
   Begin VB.CommandButton cmdNaturalClasses 
      Caption         =   "Natural classes"
      Height          =   495
      Left            =   10920
      TabIndex        =   3
      Top             =   720
      Width           =   2535
   End
   Begin VB.CommandButton cmdGeneral 
      Caption         =   "General"
      Height          =   495
      Left            =   10920
      TabIndex        =   2
      Top             =   120
      Width           =   2535
   End
   Begin VB.CommandButton cmdExit 
      Caption         =   "Exit help"
      Height          =   375
      Left            =   4200
      TabIndex        =   1
      Top             =   5640
      Width           =   2295
   End
   Begin VB.Label Label1 
      BackColor       =   &H00FFFFFF&
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   9.75
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   5415
      Left            =   120
      TabIndex        =   0
      Top             =   120
      Width           =   10695
   End
End
Attribute VB_Name = "frmHelp"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit




Private Sub Form_Load()
    Let Me.Top = (Screen.Height - Me.Height) / 2
    Let Me.Left = (Screen.Width - Me.Width) / 2
    Call cmdGeneral_Click
End Sub

Private Sub cmdGeneral_Click()
    Dim m As String
    Let m = m + "1. General"
    Let m = m + Chr(13) + Chr(13)
    Let m = m + "The purpose of this program is to search a database of about 20,000 American English pronunciations for whatever configuration you are interested in finding.  "
    Let m = m + "For example, you might want to find all cases in which main stressed [ai] precedes a word-final consonant cluster.  "
    Let m = m + "For this, you would type AY1 in the first box, CONSONANT in the second, CONSONANT in the third, and ] in the fourth.  "
    Let m = m + "If you then click on Search Transcriptions, the program will find all such words and create output files listing what it found."
    Let m = m + " For the search just described, it would find words like child, blind, and pint."
    Let m = m + Chr(13) + Chr(13)
    Let m = m + "The program creates three different output files, which differ in how much detail they include:"
    Let m = m + Chr(13) + Chr(13)
    Let m = m + "FullOutput.txt"
    Let m = m + Chr(13)
    Let m = m + "MediumOutput.txt"
    Let m = m + Chr(13)
    Let m = m + "SmallOutput.txt"
    Let m = m + Chr(13) + Chr(13)
    Let m = m + "These files get placed in the same folder as the program itself. "
    Let m = m + "You can open these files yourself using a word processor or spreadsheet, or you can set up this program to do this for you; see Reading Output Files for details."
    
    
    
    
    Let Label1.Caption = m
    DoEvents
End Sub

Private Sub cmdNaturalClasses_Click()
    Dim m As String
    Let m = m + "2. Natural classes"
    Let m = m + Chr(13) + Chr(13)
    Let m = m + "The program can use natural classes (for example, all consonants, all stops, etc.).  To use a natural class, type its name in the search window, as with CONSONANT above.  "
    Let m = m + "The classes available are listed in the text box in the main program interface."
    Let m = m + Chr(13) + Chr(13)
    Let m = m + "You can add as many new natural classes as you like.  Go to one of the two natural class folders NaturalClasses and SyllabifiedNaturalClasses included with this software"
    Let m = m + " and add new files modeled on the ones already there (class name = file name, contents are symbols listed one per line)."
    Let Label1.Caption = m
    DoEvents
End Sub

Private Sub cmdSyllabification_Click()
    Dim m As String
    Let m = m + "4. Syllabification"
    Let m = m + Chr(13) + Chr(13)
    Let m = m + "You can choose to search either syllabified data (syllabification uses the Maximal Onset Principle), or the plain symbol sequences. "
    Let m = m + "Syllabification is indicated by marking coda consonants as codas; e.g. tab is T AE1 BCoda.  "
    Let Label1.Caption = m
    DoEvents
End Sub
Private Sub cmdOrthography_Click()
    Dim m As String
    Let m = m + "5. Searching orthography"
    Let m = m + Chr(13) + Chr(13)
    Let m = m + "It is possible to search the orthographic form of words, using the labeled search button."
    Let m = m + " For example, searching on ation] would produce all words ending with the -ation suffix."
    Let Label1.Caption = m
    DoEvents
End Sub

Private Sub cmdCaseSensitive_Click()
    Dim m As String
    Let m = m + "6. Not case-sensitive"
    Let m = m + Chr(13) + Chr(13)
    Let m = m + "Neither the phonetic symbols nor the natural class names are case-sensitive.  So if you are searching for the sound AY1 "
    Let m = m + "it would work equally well to search for ay1 or aY1 or Ay1. Likewise, if you are search for CONSONANT it would work"
    Let m = m + " equally well to search for consonant or Consonant or cOnSoNaNt, etc."
    Let Label1.Caption = m
    DoEvents
End Sub

Sub cmdReadingOutputFiles_Click()
    Dim m As String
    Let m = "3. Reading output files"
    Let m = m + Chr(13) + Chr(13)
    Let m = m + "When the program finishes a search, it pops up a special window that it intended to speed the inspection of your output files."
    Let m = m + " The window shows five buttons.  They let you pick either the large, medium, or small output file, and let you open it"
    Let m = m + " with either a spreadsheet program or a word processor."
    Let m = m + Chr(13) + Chr(13)
    Let m = m + "For this to work, you have to tell the program where your spreadsheet program and word processor program are on your hard drive,"
    Let m = m + " using the little window that show up on the bottom of the screen for this purpose. "
    Let m = m + " The location of your particular spreadsheet and word processor will probably be fairly similar what to pops up in the window provided at the bottom of screen for this purpose."
    Let m = m + " Search your computer to find them. "
    Let m = m + " After you enter the program locations, click the Save button to retain your choices for future use."
    Let m = m + Chr(13) + Chr(13)
    Let m = m + "If this procedure fails, it doesn't mean you can't view your program output.  Just look in the program folder for:"
    Let m = m + Chr(13) + Chr(13)
    Let m = m + "   FullOutput.txt"
    Let m = m + Chr(13)
    Let m = m + "   MediumOutput.txt"
    Let m = m + Chr(13)
    Let m = m + "   SmallOutput.txt"
    Let m = m + Chr(13) + Chr(13)
    Let m = m + " and open whichever one you want with the programs you have on your computer.  If you're a newbie to Windows, try just clicking on them."
    Let Label1.Caption = m
    DoEvents
End Sub

Private Sub cmdIterativeSearches_Click()
    Dim m As String
    Let m = m + "7. Iterated searched"
    Let m = m + Chr(13) + Chr(13)
    Let m = m + "Sometimes it can be useful to do one search, then search within the output just found. "
    Let m = m + "For example, you might search the vowels to find all the monosyllables ([ vowel ]), then search among the monosyllables "
    Let m = m + "for some particular pattern."
    Let m = m + Chr(13) + Chr(13)
    Let m = m + "You can do this by searching first the default file in.txt, then searching the file thus created, ResultsOfSearchInInputFormat.txt. "
    Let m = m + "To do the latter, type ResultsOfSearchInInputFormat.txt into the little window labeled Use This Input File."
    Let Label1.Caption = m
    DoEvents
End Sub

Private Sub cmdDictionary_Click()
    Dim m As String
    Let m = m + "8. The dictionary and its source"
    Let m = m + Chr(13) + Chr(13)
    Let m = m + "Dictionary data are in the file in.txt.  Source:  one line Carnegie-Mellon Pronouncing Dictionary, extensively edited and corrected.  "
    Let m = m + "Words included:  those with a CELEX frequency of at least one.  Frequencies may be found in in.txt and also in the output file out.txt."
    Let m = m + Chr(13) + Chr(13)
    Let m = m + "Corrected pronunciations and annotations from users would be very welcome; send to Bruce Hayes at bhayes@humnet.ucla.edu."
    Let Label1.Caption = m
    DoEvents
End Sub

Private Sub cmdOtherLanguages_Click()
    Dim m As String
    Let m = m + "9. Other languages"
    Let m = m + Chr(13) + Chr(13)
    Let m = m + "It would not be hard to use the software with other languages for which a digital phonetic dictionary is available.  Install the dictionary in the file in.txt, include a list of all segments"
    Let m = m + " in AllSegments.txt, and re-make the natural class files."
    Let Label1.Caption = m
    DoEvents
End Sub


Private Sub cmdExit_Click()
    Unload Me
End Sub


